summaryrefslogtreecommitdiff
path: root/t/t4016-diff-quote.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t4016-diff-quote.sh')
-rwxr-xr-xt/t4016-diff-quote.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/t/t4016-diff-quote.sh b/t/t4016-diff-quote.sh
index edde8f5568..5dbdc0c9fa 100755
--- a/t/t4016-diff-quote.sh
+++ b/t/t4016-diff-quote.sh
@@ -13,6 +13,10 @@ P1='pathname with HT'
P2='pathname with SP'
P3='pathname
with LF'
+: >"$P1" 2>&1 && test -f "$P1" && rm -f "$P1" || {
+ echo >&2 'Filesystem does not support tabs in names'
+ test_done
+}
test_expect_success setup '
echo P0.0 >"$P0.0" &&
@@ -45,7 +49,7 @@ cat >expect <<\EOF
EOF
test_expect_success 'git diff --summary -M HEAD' '
git diff --summary -M HEAD >actual &&
- diff -u expect actual
+ git diff expect actual
'
cat >expect <<\EOF
@@ -60,7 +64,7 @@ cat >expect <<\EOF
EOF
test_expect_success 'git diff --stat -M HEAD' '
git diff --stat -M HEAD >actual &&
- diff -u expect actual
+ git diff expect actual
'
test_done